import { ITEM } from "@/api/business/purchase/catalogue";

export default function useMethods() {
  const fetchItem = async ({ _this, prop }) => {
    try {
      // try
      _this.loading = true;
      const { code, data } = await ITEM(prop);
      if (code === 200) {
        _this.params = data;
      }
    } catch (err) {
      // catch
      console.error(err);
    } finally {
      // finally
      _this.loading = false;
    }
  };
  const open = ({ _this }) => {
    _this.visible = true;
  };
  const hide = ({ _this }) => {
    _this.visible = false;
  };

  return {
    open,
    hide,
    fetchItem,
  };
}
