import Column from "../add/column";

export default function useWatch() {
  const { TabColumns } = Column;
  const watchContractType = () => ({
    handler: function (newProp) {
      if (newProp === "1") {
        this.params.contractItemList = [];
        this.tabColumns = TabColumns.filter(
          (element) => element.key !== "contractItemList"
        );
      } else {
        this.tabColumns = TabColumns;
      }
      this.tabName = this.tabColumns[0].key;
    },
    immediate: true,
  });
  return { watchContractType };
}
